## org.eclipse.datatools.modelbase.sql.query
Interface MergeOperationSpecification

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

All Known Subinterfaces:
  MergeInsertSpecification, MergeUpdateSpecification

    public interface MergeOperationSpecification

extends SQLQueryObject

A representation of the model object 'Merge Operation Specification'. SQL syntax: <merge update specification> | <merge insert specification>

The following features are supported:

- `Merge Statement`

See Also:
  `SQLQueryModelPackage.getMergeOperationSpecification()`

Method Summary
`QueryMergeStatement` `getMergeStatement()` Returns the value of the 'Merge Statement' container reference.
`void` `setMergeStatement(QueryMergeStatement value)` Sets the value of the '`Merge Statement`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMergeStatement

    QueryMergeStatement getMergeStatement()

  Returns the value of the 'Merge Statement' container reference. It is bidirectional and its opposite is '`Operation Spec List`'.

  If the meaning of the 'Merge Statement' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Merge Statement' container reference.
  See Also:
    `setMergeStatement(QueryMergeStatement)`, `SQLQueryModelPackage.getMergeOperationSpecification_MergeStatement()`, `QueryMergeStatement.getOperationSpecList()`

### setMergeStatement

    void setMergeStatement(QueryMergeStatement value)

  Sets the value of the '`Merge Statement`' container reference.

  Parameters:
    `value` - the new value of the 'Merge Statement' container reference.
  See Also:
    `getMergeStatement()`